ElementDesc (Axis API)
Keywords: org.apache.axis.description.ElementDesc class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.description
Class ElementDesc

    java.lang.Object
      org.apache.axis.description.FieldDesc
          org.apache.axis.description.ElementDesc

All Implemented Interfaces:
  java.io.Serializable

public class ElementDesc
extends FieldDesc
implements java.io.Serializable

An AttributeDesc is a FieldDesc for an Java field mapping to an XML element

Author:
  Glen Daniels (gdaniels@apache.org), Dominik Kacprzak (dominik@opentoolbox.com)
See Also:
  Serialized Form

Constructor Summary
`ElementDesc()`

Method Summary
`QName` | `getArrayType()`
`QName` | `getItemQName()`
`int` | `getMaxOccurs()`
`int` | `getMinOccurs()`
`boolean` | `isMaxOccursUnbounded()`
`boolean` | `isMinOccursZero()` Check if this field can be omitted.
`boolean` | `isNillable()` Returns value of nillable property.
`void` | `setArrayType(QName arrayType)`
`void` | `setItemQName(QName itemQName)`
`void` | `setMaxOccurs(int maxOccurs)`
`void` | `setMaxOccursUnbounded(boolean ubnd)`
`void` | `setMinOccurs(int minOccurs)`
`void` | `setNillable(boolean nillable)` Sets value of nillable property.

Methods inherited from class org.apache.axis.description.FieldDesc
`getFieldName, getJavaType, getXmlName, getXmlType, isElement, isIndexed, setFieldName, setJavaType, setMinOccursIs0, setXmlName, setXmlType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementDesc

    public ElementDesc()

Method Detail

### isMinOccursZero

    public boolean isMinOccursZero()

  Description copied from class: `FieldDesc`
  Check if this field can be omitted.

  Overrides:
    `isMinOccursZero` in class `FieldDesc`

### getMinOccurs

    public int getMinOccurs()

### setMinOccurs

    public void setMinOccurs(int minOccurs)

### getMaxOccurs

    public int getMaxOccurs()

### setMaxOccurs

    public void setMaxOccurs(int maxOccurs)

### setMaxOccursUnbounded

    public void setMaxOccursUnbounded(boolean ubnd)

### isMaxOccursUnbounded

    public boolean isMaxOccursUnbounded()

### isNillable

    public boolean isNillable()

  Returns value of nillable property.

  Returns:

### setNillable

    public void setNillable(boolean nillable)

  Sets value of nillable property. Default: `false`.

  Parameters:
    `nillable` -

### getArrayType

    public QName getArrayType()

### setArrayType

    public void setArrayType(QName arrayType)

### getItemQName

    public QName getItemQName()

### setItemQName

    public void setItemQName(QName itemQName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.